<?php
$back_url = mh_href_link(FILENAME_MAILBEEZ, 'module=config_email_engine&addsender=ok');

require_once(MH_DIR_CONFIG . 'config_email_engine_n2g/classes/newsletter2go_v2.class.php');
$domain = urldecode($_GET['domain']);
try {
    $nl2go = NL2GO\Api::getInstance();
    $nl2go->postSenderidAdd($domain);
} catch (Exception $e) {
    print_r($e->getMessage());
}
mh_redirect($back_url);
